LinuxQMISDK: QmiCbkLocPositionReportInd Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
QmiCbkLocPositionReportInd Struct Reference

## Data Fields
ULONG | sessionStatus
BYTE | sessionId
ULONGLONG * | pLatitude
ULONGLONG * | pLongitude
ULONG * | pHorUncCircular
ULONG * | pHorUncEllipseSemiMinor
ULONG * | pHorUncEllipseSemiMajor
ULONG * | pHorUncEllipseOrientAzimuth
BYTE * | pHorConfidence
ULONG * | pHorReliability
ULONG * | pSpeedHorizontal
ULONG * | pSpeedUnc
ULONG * | pAltitudeWrtEllipsoid
ULONG * | pAltitudeWrtMeanSeaLevel
ULONG * | pVertUnc
BYTE * | pVertConfidence
ULONG * | pVertReliability
ULONG * | pSpeedVertical
ULONG * | pHeading
ULONG * | pHeadingUnc
ULONG * | pMagneticDeviation
ULONG * | pTechnologyMask
precisionDilution * | pPrecisionDilution
ULONGLONG * | pTimestampUtc
BYTE * | pLeapSeconds
gpsTime * | pGpsTime
ULONG * | pTimeUnc
ULONG * | pTimeSrc
sensorDataUsage * | pSensorDataUsage
ULONG * | pFixId
svUsedforFix * | pSvUsedforFix
BYTE * | pAltitudeAssumed

## Detailed Description

This structure contains Event Position Report

Parameters

  sessionStatus | Values 0 - Session was successful 1 - Session is still in progress; further position reports will be generated until either the fix criteria specified by the client are met or the client response timeout occurs. 2 - Session failed.. 3 - Fix request failed because the session timed out. 4 - Fix request failed because the session was ended by the user. 5 - Fix request failed due to bad parameters in the request. 6 - Fix request failed because the phone is offline. 7 - Fix request failed because the engine is locked
  sessionId | ID of the session that was specified in the Start request Range - 0 to 255
  pLatitude | Type - Floating point Units - Degrees Range - -90.0 to 90.0 Positive values indicate northern latitude Negative values indicate southern latitude
  pLongitude | Type - Floating point Units - Degrees Range - -180.0 to 180.0 Positive values indicate eastern latitude Negative values indicate western latitude
  pHorUncCircular | Horizontal position uncertainty. Units - Meters
  pHorUncEllipseSemiMinor | Semi-minor axis of horizontal elliptical uncertainty. Units - Meters
  pHorUncEllipseSemiMajor | Semi-major axis of horizontal elliptical uncertainty. Units: Meters
  pHorUncEllipseOrientAzimuth | Elliptical horizontal uncertainty azimuth of orientation. Units - Decimal degrees Range - 0 to 180
  pHorConfidence | Horizontal uncertainty confidence. If both elliptical and horizontal uncertainties are specified in this message, the confidence corresponds to the elliptical uncertainty. Units - Percentage Range 0-99
  pHorReliability | Values 0 - Location reliability is not set. 1 - Location reliability is very low; use it at your own risk 2 - Location reliability is low; little or no cross-checking is possible. 3 - Location reliability is medium; limited cross-check passed 4 - Location reliability is high; strong cross-check passed
  pSpeedHorizontal | Horizontal speed. Units - Meters/second
  pSpeedUnc | 3-D Speed uncertainty. Units - Meters/second.
  pAltitudeWrtEllipsoid | Altitude With Respect to Ellipsoid. Units - Meters Range -500 to 15883
  pAltitudeWrtMeanSeaLevel | Altitude With Respect to Sea Level. Units - Meters
  pVertUnc | Vertical uncertainty. Units - Meters
  pVertConfidence | Vertical uncertainty confidence. Units - Percentage Range 0 to 99
  pVertReliability | Values 0 - Location reliability is not set. 1 - Location reliability is very low; use it at your own risk. 2 - Location reliability is low; little or no cross-checking is possible 3 - Location reliability is medium; limited cross-check passed 4 - Location reliability is high; strong cross-check passed
  pSpeedVertical | Vertical speed. Units - Meters/second
  pHeading | Heading. Units - Degree Range 0 to 359.999
  pHeadingUnc | Heading uncertainty. Units - Degree Range 0 to 359.999
  pMagneticDeviation | Difference between the bearing to true north and the bearing shown on a magnetic compass. The deviation is positive when the magnetic north is east of true north.
  pTechnologyMask | Values 0x00000001 - Satellites were used to generate the fix 0x00000002 - Cell towers were used to generate the fix 0x00000004 - Wi-Fi access points were used to generate the fix 0x00000008 - Sensors were used to generate the fix 0x00000010 - Reference Location was used to generate the fix 0x00000020 - Coarse position injected into the location engine was used to generate the fix 0x00000040 - AFLT was used to generate the fix 0x00000080 - GNSS and network-provided measurements were used to generate the fix
  -pPrecisionDilution | See precisionDilution for more information
  pTimestampUtc | UTC timestamp Units - Milliseconds since Jan. 1, 1970
  pLeapSeconds | Leap second information. If leapSeconds is not available, timestampUtc is calculated based on a hard-coded value for leap seconds. Units - Seconds
  -pGpsTime | See gpsTime for more information
  pTimeUnc | Time uncertainty. Units - Milliseconds
  pTimeSrc | Values 0 - Invalid time. 1 - Time is set by the 1X system. 2 - Time is set by WCDMA/GSM time tagging. 3 - Time is set by an external injection. 4 - Time is set after decoding over-the-air GPS navigation data from one GPS satellite. 5 - Time is set after decoding over-the-air GPS navigation data from multiple satellites. 6 - Both time of the week and the GPS week number are known. 7 - Time is set by the position engine after the fix is obtained 8 - Time is set by the position engine after performing SFT, this is done when the clock time uncertainty is large. 9 - Time is set after decoding GLO satellites. 10- Time is set after transforming the GPS to GLO time 11- Time is set by the sleep time tag provided by the WCDMA network. 12- Time is set by the sleep time tag provided by the GSM network 13- Source of the time is unknown 14- Time is derived from the system clock (better known as the slow clock); GNSS time is maintained irrespective of the GNSS receiver state 15- Time is set after decoding QZSS satellites. 16- Time is set after decoding BDS satellites.
  -pSensorDataUsage | See sensorDataUsage for more information
  pFixId | Fix count for the session. Starts with 0 and increments by one for each successive position report for a particular session.
  -pSvUsedforFix | See svUsedforFix for more information
  pAltitudeAssumed | Indicates whether altitude is assumed or calculated.

- Value
  - 0x00 - Altitude is calculated
  - 0x01 - Altitude is assumed

## Field Documentation

BYTE* QmiCbkLocPositionReportInd::pAltitudeAssumed

ULONG* QmiCbkLocPositionReportInd::pAltitudeWrtEllipsoid

ULONG* QmiCbkLocPositionReportInd::pAltitudeWrtMeanSeaLevel

ULONG* QmiCbkLocPositionReportInd::pFixId

gpsTime* QmiCbkLocPositionReportInd::pGpsTime

ULONG* QmiCbkLocPositionReportInd::pHeading

ULONG* QmiCbkLocPositionReportInd::pHeadingUnc

BYTE* QmiCbkLocPositionReportInd::pHorConfidence

ULONG* QmiCbkLocPositionReportInd::pHorReliability

ULONG* QmiCbkLocPositionReportInd::pHorUncCircular

ULONG* QmiCbkLocPositionReportInd::pHorUncEllipseOrientAzimuth

ULONG* QmiCbkLocPositionReportInd::pHorUncEllipseSemiMajor

ULONG* QmiCbkLocPositionReportInd::pHorUncEllipseSemiMinor

ULONGLONG* QmiCbkLocPositionReportInd::pLatitude

BYTE* QmiCbkLocPositionReportInd::pLeapSeconds

ULONGLONG* QmiCbkLocPositionReportInd::pLongitude

ULONG* QmiCbkLocPositionReportInd::pMagneticDeviation

precisionDilution* QmiCbkLocPositionReportInd::pPrecisionDilution

sensorDataUsage* QmiCbkLocPositionReportInd::pSensorDataUsage

ULONG* QmiCbkLocPositionReportInd::pSpeedHorizontal

ULONG* QmiCbkLocPositionReportInd::pSpeedUnc

ULONG* QmiCbkLocPositionReportInd::pSpeedVertical

svUsedforFix* QmiCbkLocPositionReportInd::pSvUsedforFix

ULONG* QmiCbkLocPositionReportInd::pTechnologyMask

ULONG* QmiCbkLocPositionReportInd::pTimeSrc

ULONGLONG* QmiCbkLocPositionReportInd::pTimestampUtc

ULONG* QmiCbkLocPositionReportInd::pTimeUnc

BYTE* QmiCbkLocPositionReportInd::pVertConfidence

ULONG* QmiCbkLocPositionReportInd::pVertReliability

ULONG* QmiCbkLocPositionReportInd::pVertUnc

BYTE QmiCbkLocPositionReportInd::sessionId

ULONG QmiCbkLocPositionReportInd::sessionStatus